<!-- .slide: data-background="img/internet.jpg" -->

## Navigazione nell'Internet

--

Finora non abbiamo parlato dei pericoli della rete, ma solo quelli del
nostro dispositivo, considerandolo disconnesso.

--

### Come ci connettiamo?

 - Wifi? Cambiate la password di default.
 - [Disabilitate il WPS del
   router](https://www.tomshw.it/sistema-wps-router-vulnerabile-meglio-spegnerlo-37486).
 - Wifi pubbliche? usare VPN, vedi dopo.
 - Dal telefono, disabilitare il wifi quando non lo usate.
 - Preferite il cavo di rete quando potete.

notes: i dispositivi wifi broadcastano i MAC ai router se non impostati per
non farlo (esempio metro di londra)
https://tfl.gov.uk/corporate/publications-and-reports/wifi-data-collection

--

## Buone pratiche

 - Controlla la barra di navigazione (https? il sito è giusto?)
 - Sui link sospetti, controlla prima di cliccarci sopra
 - Cambiare motore di ricerca di default (usate
   [duckduckgo](https://duckduckgo.com))
 - Salvare le password? (meglio di no)
 - Usate i Feed/RSS, ad esempio con [Brief](https://addons.mozilla.org/it/firefox/addon/brief/)
 - Usate [Tor
   Browser](https://www.torproject.org/download/download-easy.html.en)
 - Usate profili differenti o containers per non condividere cookie
 - Gli allegati delle mail sono un classico vettore di malware, occhio

--

## Ctrl+C...  Ctrl+V
### AKA: Attenzione al copia/incolla
Se ti capita di copia-incollare comandi dall'internet al tuo terminale, il consiglio è di farci
un po' di attenzione.
Non sempre quello che si vede è esattamente quello che c'è.
Dietro ad un comando apparententemente innocuo tipo "sudo apt update" si può [nascondere del codice](https://www.bleepingcomputer.com/news/security/dont-copy-paste-commands-from-webpages-you-can-get-hacked/) che può essere anche moooolto dannoso.

Consiglio: prima di incollare un comando nel terminale, incollalo in un qualsiasi editor di testo;
questo ti permetterà di verificare cosa, effettivamente, hai copiato.

--

## Estensioni utili

 - [duckduckgo privacy
   essentials](https://chrome.google.com/webstore/detail/duckduckgo-privacy-essent/bkdgflcldnnnapblkhphbgpggdiikppg)
 - ublock/[adblock plus](https://adblockplus.org/)
 - [disconnect](https://addons.mozilla.org/en-US/firefox/addon/disconnect/)
 - [facebook
   container](https://addons.mozilla.org/en-US/firefox/addon/facebook-container/)
 - [decentraleyes](https://addons.mozilla.org/en-US/firefox/addon/decentraleyes/)
 - [multi-account
   containers](https://addons.mozilla.org/en-US/firefox/addon/multi-account-containers/)
 - [adnauseam](https://adnauseam.io/)

--

### Navigazione in incognito

Non c'entra niente con l'anonimato, vi protegge dagli attacchi del vostro
coinquilino che vi guarda la cronologia mentre andate in bagno.

E' una modalità di navigazione che, contrariamente a quanto avviene
normalmente:
- non salva la cronologia
- i file scaricati non vengono mostrati nei download
- niente cache
- non salva i cookie (non sono loggato in sessioni successive)

notes:
https://blog.mozilla.org/security/2010/03/31/plugging-the-css-history-leak/
https://www.ghacks.net/2018/11/04/browser-history-sniffing-is-still-a-thing/

l'attacco permette attivamente a un sito web di provare diverse url e
vedere se sono gia state visitate dal browser di chi lo visita, nell'ordine
di migliaia di url al secondo.
