<!-- .slide: data-background="./img/copertina.png" -->

## Autodifesa<br/>digitale


[underscore_to hacklab](https://autistici.org/underscore)
<footer>
<small>
per presentazioni premi `s` e abilita i popup   
premi **ESC** per una panoramica  
premi **F11** per fullscreen (must)  
per domande scrivici a **underscore [at] autistici.org** 
</small>
</footer>
notes:
qui compariranno delle note...

--

## INTRO
Queste slide intendono essere una panoramica concisa di autodifesa digitale.

Rappresentano un'insieme di conoscenze e buone pratiche tratte da varie fonti
ed esperienze.

Sono pensate per essere usufruibili anche da web quindi abbiamo scritto tanto.

--

### Riservatezza, sicurezza, intimità digitali

- Non sono proprietà.
- Non si comprano, non è un programma che installi e bona.
- E' un processo, bisogna provare, sbagliare, imparare, **metterci attenzione**<!-- .element: class="fragment highlight-red" -->, stacce.
- E' un approccio mentale.
- In generale, stai delegando, cerca di farlo il meno possibile e fallo almeno in rapporti di fiducia.

--

### Ma è sicuro?
- La sicurezza non è mai 100%, dobbiamo attuare una politica di riduzione del danno, non abbiamo altro.
- L'illusione della sicurezza è decisamente peggio della consapevolezza di essere vulnerabili.

--

Inoltre comportamenti e strumenti da adottare in alcuni casi,
in altri non vanno bene.

![](./img/pasta-e-forchetta.jpg)
<!-- .element: class="fragment" -->
![](./img/brodino.jpg)
<!-- .element: class="fragment" -->

--

### Modello di rischio
Bisogna che tu capisca il tuo modello di rischio
rispondendo alle seguenti domande:

  - **da chi voglio proteggermi?<!-- .element: class="red"-->** (la mamma, il/la compagn*, facebook, il datore di lavoro, la digos, i rettiliani)
<!-- .element: class="fragment" -->

  - **cosa voglio proteggere?**<!-- .element: class="red"--> (l'identità, i contatti, le preferenze sessuali, le comunicazioni)
<!-- .element: class="fragment" -->

  - **quali sono gli attacchi più probabili?**<!-- .element: class="red"--> (sequestro, intercettazione, leak)
<!-- .element: class="fragment" -->

--

### Esempi

  - il tempo cambia sia i rapporti di fiducia (es. un/una ex) ..
  - sia i livelli di rischio
  - perdiamo il telefono
  - sequestro

notes: proporre una riflessione collettiva su uno scenario

---

### E quindi?
Che modello di rischio scegliamo noi?
Siccome e' impossibile difendersi da un attaccante sufficientemente potente,
ma soprattutto, la maggior parte di noi non deve avere a che fare con l'NSA o NSO,
prendiamo come modello di rischio quello che vede un'autorita' locale voler
in qualche modo indagare su di noi.

--
### Dai, ma chi mi caga?

Guardando la spesa statale per le tecnologie di sorveglianza ad uso poliziesco, qualcuno ti considera.


- [quanto spende il ministero dell'interno](https://motherboard.vice.com/it/article/padegg/quanto-spende-il-governo-italiano-per-le-tecnologie-di-sorveglianza)
- [quanto spende il ministero della giustizia](https://www.vice.com/it/article/43ja4q/listino-prezzi-intercettazioni-dispositivi-procura-milano-mercato-malware)
- [statistiche ministero della giustizia](https://archive.org/details/DeterminazioneDeiNuoviPrezziIntercettazioni/page/n3)
- [filiera delle intercettazioni](https://www.ilsole24ore.com/art/notizie/2018-08-03/le-intercettazioni-costano-169-milioni-2017-oltre-127mila-bersagli-190839.shtml)
- [prezzi intercettazioni](https://archive.org/details/DeterminazioneDeiNuoviPrezziIntercettazioni/page/n3)
- [paranoia gratuita](https://motherboard.vice.com/it/article/evv3xp/i-video-che-metti-online-vengono-spiati-dalla-polizia-italiana)
- [aggiornamenti legge italiana uso trojan](https://motherboard.vice.com/it/article/7xedna/la-legge-italiana-sulluso-dei-trojan-e-un-disastro)
