<!-- .slide: data-background="img/metadata.jpg" -->

--

## MetaDati

> We kill people based on metadata

Michael Hayden, former CIA and NSA director /
[source](https://www.youtube.com/watch?v=UdQiz0Vavmc#t=27s)

--

## Metadati

Sono dati che descrivono pezzi di informazione tranne l'informazione
stessa.  Il contenuto di un messaggio non è il metadato, ma chi l'ha
mandato, a chi, da dove e quando sono tutti esempi di metadati.

--

## Metadati

Ogni informazione digitalizzata si porta dietro dei metadati:
- le comunicazioni (sms/telefonate/chat/WA)
<!-- .element: class="fragment" -->
- immagini/pdf (autore, geolocalizzazione, etc..)
<!-- .element: class="fragment" -->
- email (soggetto, destinatario, ora invio)
<!-- .element: class="fragment" -->

--

## A che servono i contenuti se...

- so che hai chiamato una sex line alle 2.24 e hai parlato per 18 minuti
  <!-- .element: class="fragment" -->
- che alle 4 del pomeriggio hai chiamato un numero verde per la prevenzione
  suicidi.
  <!-- .element: class="fragment" -->
- hai ricevuto una mail da un servizio di check HIV e poi hai chiamato il
  tuo medico di base e visitato un forum di sieropositivi nella stessa ora.
  <!-- .element: class="fragment" -->
- hai chiamato la tua ginecologa, ci hai parlato per mezz'ora e poi hai
  chiamato una clinica privata specializzata in aborti
  <!-- .element: class="fragment" -->

--

## E quindi?

In molti sistemi legali solitamente si progettono i contenuti molto meglio
dei metadati, ad esempio in italia le telefonate vengono registrate
solamente in caso di indagini in corso per reati di un certo livello,
mentre gli operatori telefonici sono per legge obbligati a mantenere i
metadati delle telefonate per 24 mesi, i famosi tabulati telefonici.

--

## METADATI vs CONTENUTI

La narrazione riguardo questa distinzione, cioe' il trattamento differente
dei contenuti rispetto a quello dei metadati, descrive i metadati come se
non fossero un grande problema, come se fossero molto meno invasivi della
persona rispetto al contenuto vero e proprio delle comunicazioni.  In
realtà è vero il contrario

notes: per quanto riguarda il controllo massivo...

--

## issue

I metadati sono in forma testuale ed e' quindi possibile fare delle
ricerche massive su di essi, indicizzarli, categorizzarli, cosa impossibile
da fare con le comunicazioni vere e proprie.

Avendo i metadati e' possibile cercare tutte le telefonate effettuate verso
un numero, o da un numero, o in un lasso di tempo, o da un luogo
specificato, nessuna di queste ricerche risulta possibile invece avendo
solo il contenuto delle comunicazioni.  <!-- .element: class="fragment" -->

--

## Aneddoto

- [mcafee](https://www.npr.org/sections/thetwo-way/2012/12/04/166487197/betrayed-by-metadata-john-mcafee-admits-hes-really-in-guatemala?t=1543618516954)
- [mcafee
  2](https://nakedsecurity.sophos.com/2012/12/03/john-mcafee-location-exif/)

--

## Come mi proteggo?

La consapevolezza è già un grande passo avanti.  Puoi usare alcuni
strumenti per rimuovere i metadati dai file:

- per android c'è [Scrambled
  Exif](https://f-droid.org/en/packages/com.jarsilio.android.scrambledeggsif/)
- su linux c'è [mat](https://0xacab.org/jvoisin/mat2)